> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search allows searching for step-up transactions with various filters



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/step-up/transactions
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/step-up/transactions:
    post:
      tags:
        - Step Up Authentication Transactions
      summary: Search
      description: Search allows searching for step-up transactions with various filters
      operationId: c1.api.stepup.v1.StepUpTransactionService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.stepup.v1.SearchStepUpTransactionsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.SearchStepUpTransactionsResponse
          description: Response message for searching step-up transactions
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpTransaction.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchStepUpTransactionsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpTransaction.search();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.SearchStepUpTransactionsRequest:
      description: Request message for searching step-up transactions
      properties:
        createdAfter:
          format: date-time
          readOnly: false
          type: string
        createdBefore:
          format: date-time
          readOnly: false
          type: string
        pageSize:
          description: Maximum number of results to return
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: Token for pagination
          readOnly: false
          type: string
        providerId:
          description: Filter by provider ID
          readOnly: false
          type: string
        state:
          description: Filter by transaction state
          enum:
            - STEP_UP_TRANSACTION_STATE_UNSPECIFIED
            - STEP_UP_TRANSACTION_STATE_PENDING
            - STEP_UP_TRANSACTION_STATE_VERIFIED
            - STEP_UP_TRANSACTION_STATE_ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        targetType:
          description: The targetType field.
          enum:
            - TARGET_TYPE_UNSPECIFIED
            - TARGET_TYPE_TICKET
            - TARGET_TYPE_TEST
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        taskId:
          description: Filter by task ID (only applicable if target_type is TICKET)
          readOnly: false
          type: string
        userId:
          description: Filter by user ID
          readOnly: false
          type: string
      title: Search Step Up Transactions Request
      type: object
      x-speakeasy-name-override: SearchStepUpTransactionsRequest
    c1.api.stepup.v1.SearchStepUpTransactionsResponse:
      description: Response message for searching step-up transactions
      properties:
        list:
          description: List of transactions matching the search criteria
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: Token for retrieving the next page of results
          readOnly: false
          type: string
      title: Search Step Up Transactions Response
      type: object
      x-speakeasy-name-override: SearchStepUpTransactionsResponse
    c1.api.stepup.v1.StepUpTransaction:
      description: >
        StepUpTransaction represents a record of a step-up authentication
        attempt


        This message contains a oneof named target. Only a single field of the
        following list may be set at a time:
          - approveTask
          - test
      properties:
        approveTask:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction.TargetTask'
        claims:
          additionalProperties: true
          readOnly: false
          type: object
        createdAt:
          format: date-time
          readOnly: true
          type: string
        errorMessage:
          description: Error message if the transaction failed
          readOnly: true
          type: string
        expiresAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique identifier for the transaction
          readOnly: false
          type: string
        providerId:
          description: ID of the provider used for this step-up authentication
          readOnly: false
          type: string
        state:
          description: Current state of the transaction
          enum:
            - STEP_UP_TRANSACTION_STATE_UNSPECIFIED
            - STEP_UP_TRANSACTION_STATE_PENDING
            - STEP_UP_TRANSACTION_STATE_VERIFIED
            - STEP_UP_TRANSACTION_STATE_ERROR
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        test:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpTransaction.TargetTest'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: ID of the user who performed the step-up authentication
          readOnly: false
          type: string
      title: Step Up Transaction
      type: object
      x-speakeasy-name-override: StepUpTransaction
    c1.api.stepup.v1.StepUpTransaction.TargetTask:
      description: Target for approving a task
      nullable: true
      properties:
        policyStepId:
          description: ID of the policy step requiring step-up authentication
          readOnly: false
          type: string
        taskId:
          description: ID of the task being approved
          readOnly: false
          type: string
      title: Target Task
      type: object
      x-speakeasy-name-override: TargetTask
    c1.api.stepup.v1.StepUpTransaction.TargetTest:
      description: Target for testing a provider
      nullable: true
      title: Target Test
      type: object
      x-speakeasy-name-override: TargetTest
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````